published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
Deprecated: Use
proxmoxve.sdn.Applierinstead. This resource will be removed in v1.0.
EXPERIMENTAL Triggers Proxmox’s SDN Apply (equivalent to PUT /cluster/sdn). Intended to be used with replaceTriggeredBy so it runs after SDN objects change.
Create ApplierLegacy Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ApplierLegacy(name: string, args?: ApplierLegacyArgs, opts?: CustomResourceOptions);@overload
def ApplierLegacy(resource_name: str,
args: Optional[ApplierLegacyArgs] = None,
opts: Optional[ResourceOptions] = None)
@overload
def ApplierLegacy(resource_name: str,
opts: Optional[ResourceOptions] = None,
on_create: Optional[bool] = None,
on_destroy: Optional[bool] = None)func NewApplierLegacy(ctx *Context, name string, args *ApplierLegacyArgs, opts ...ResourceOption) (*ApplierLegacy, error)public ApplierLegacy(string name, ApplierLegacyArgs? args = null, CustomResourceOptions? opts = null)
public ApplierLegacy(String name, ApplierLegacyArgs args)
public ApplierLegacy(String name, ApplierLegacyArgs args, CustomResourceOptions options)
type: proxmoxve:sdn:ApplierLegacy
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args ApplierLegacyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ApplierLegacyArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ApplierLegacyArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ApplierLegacyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ApplierLegacyArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var applierLegacyResource = new ProxmoxVE.Sdn.ApplierLegacy("applierLegacyResource", new()
{
OnCreate = false,
OnDestroy = false,
});
example, err := sdn.NewApplierLegacy(ctx, "applierLegacyResource", &sdn.ApplierLegacyArgs{
OnCreate: pulumi.Bool(false),
OnDestroy: pulumi.Bool(false),
})
var applierLegacyResource = new ApplierLegacy("applierLegacyResource", ApplierLegacyArgs.builder()
.onCreate(false)
.onDestroy(false)
.build());
applier_legacy_resource = proxmoxve.sdn.ApplierLegacy("applierLegacyResource",
on_create=False,
on_destroy=False)
const applierLegacyResource = new proxmoxve.sdn.ApplierLegacy("applierLegacyResource", {
onCreate: false,
onDestroy: false,
});
type: proxmoxve:sdn:ApplierLegacy
properties:
onCreate: false
onDestroy: false
ApplierLegacy Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ApplierLegacy resource accepts the following input properties:
- on_
create bool - Whether to apply SDN configuration on resource creation. Defaults to true.
- on_
destroy bool - Whether to apply SDN configuration on resource destruction. Defaults to true.
Outputs
All input properties are implicitly available as output properties. Additionally, the ApplierLegacy resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing ApplierLegacy Resource
Get an existing ApplierLegacy resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: ApplierLegacyState, opts?: CustomResourceOptions): ApplierLegacy@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
on_create: Optional[bool] = None,
on_destroy: Optional[bool] = None) -> ApplierLegacyfunc GetApplierLegacy(ctx *Context, name string, id IDInput, state *ApplierLegacyState, opts ...ResourceOption) (*ApplierLegacy, error)public static ApplierLegacy Get(string name, Input<string> id, ApplierLegacyState? state, CustomResourceOptions? opts = null)public static ApplierLegacy get(String name, Output<String> id, ApplierLegacyState state, CustomResourceOptions options)resources: _: type: proxmoxve:sdn:ApplierLegacy get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- on_
create bool - Whether to apply SDN configuration on resource creation. Defaults to true.
- on_
destroy bool - Whether to apply SDN configuration on resource destruction. Defaults to true.
Package Details
- Repository
- proxmoxve muhlba91/pulumi-proxmoxve
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
proxmoxTerraform Provider.
published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
